ODizzle 🔜#DHANA and #PaxEast 30 Sep 14
": - The box said ‘Requires Windows Vista or better’. So I installed LINUX. " yess